/* ADMONITIONS
 * O tema padrão do MkDocs não dá muito bom suporte às admonitions, esse CSS corrige isso.
 * O tema ideal das admonitions é o "material": apt install mkdocs-material
 */

/* restaura bordas */
div.admonition {
  border-width: 0;
  border-left-width: 6px;
}

/* Adiciona ícones via pseudo-elementos para o tema padrão */
.admonition > .admonition-title::before {
  font-size: 1.0rem;
  margin-right: 0.3rem;
  display: inline-block;
}

/* Adiciona emojis nas admonitions */
.admonition.note > .admonition-title::before { content: "📝"; }
.admonition.abstract > .admonition-title::before { content: "📋"; }
.admonition.info > .admonition-title::before { content: "ℹ️"; }
.admonition.tip > .admonition-title::before { content: "💡"; }
.admonition.success > .admonition-title::before { content: "✅"; }
.admonition.question > .admonition-title::before { content: "❓"; }
.admonition.warning > .admonition-title::before { content: "⚠️"; }
.admonition.failure > .admonition-title::before { content: "❌"; }
.admonition.danger > .admonition-title::before { content: "🔥"; }
.admonition.bug > .admonition-title::before { content: "🐞"; }
.admonition.example > .admonition-title::before { content: "🔬"; }
.admonition.quote > .admonition-title::before { content: "❛ ❜"; }

/* Adiciona cores nas admonitions não suportadas no tema padrão */
.admonition.abstract {
    background-color: rgba(0, 176, 255, 0.1);
    border-left-color: #00b0ff;
}
.admonition.tip {
    background-color: rgba(0, 191, 165, 0.1);
    border-left-color: #00bfa5;
}
.admonition.success {
    background-color: rgba(0, 200, 83, 0.1);
    border-left-color: #00c853;
}
.admonition.question {
    background-color: rgba(100, 221, 23, 0.1);
    border-left-color: #64dd17;
}
.admonition.failure {
    background-color: rgba(255, 82, 82, 0.1);
    border-left-color: #ff5252;
}
.admonition.bug {
    background-color: rgba(245, 0, 87, 0.1);
    border-left-color: #f50057;
}
.admonition.example {
    background-color: rgba(124, 77, 255, 0.1);
    border-left-color: #7c4dff;
}
.admonition.quote {
    background-color: rgba(158, 158, 158, 0.1);
    border-left-color: #9e9e9e;
}
